I think that OpenCL 1.2 specification is wrong (downloaded 6-12-2012).

In file cl_ext.h, lines 148 and 150:
CL_EXT_SUFFIX_VERSION_1_2 must be replaced by CL_EXT_SUFFIX__VERSION_1_2

Tested on Linux Mint 13.

I hope can help
Jose Luis Cercós Pita